﻿alter table core_user add column phone varchar(255) default null;
alter table core_user add column phone_activation int not null default 0;

create index user_id on calendar_calendar_user (user_id);
create index event_id on calendar_notifications (event_id);

alter table crm_contact add column display_name varchar(255) default null;
create index display_name on crm_contact (tenant_id, display_name);
update crm_contact set display_name = concat(first_name, '!=!', last_name) where is_company = 0;
update crm_contact set display_name = company_name where is_company = 1;
drop index IX_Contact on crm_contact_info;
create index IX_Contract on crm_contact_info (tenant_id, contact_id);
CREATE TABLE IF NOT EXISTS `crm_task_template` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `create_on` datetime NOT NULL,
  `create_by` char(38) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `last_modifed_on` datetime NOT NULL,
  `last_modifed_by` char(38) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `title` varchar(255) NOT NULL,
  `category_id` int(10) NOT NULL,
  `description` tinytext,
  `responsible_id` char(38) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `is_notify` tinyint(4) NOT NULL,
  `offset` bigint(20) NOT NULL DEFAULT '0',
  `sort_order` int(11) NOT NULL DEFAULT '0',
  `deadLine_is_fixed` tinyint(4) NOT NULL,
  `tenant_id` int(10) NOT NULL,
  `container_id` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `template_id` (`tenant_id`,`container_id`)
);
CREATE TABLE IF NOT EXISTS `crm_task_template_container` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(256) NOT NULL,
  `entity_type` int(10) NOT NULL,
  `tenant_id` int(10) NOT NULL,
  `create_on` datetime NOT NULL,
  `create_by` char(38) NOT NULL DEFAULT '0',
  `last_modifed_on` datetime NOT NULL,
  `last_modifed_by` char(38) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `entity_type` (`tenant_id`,`entity_type`)
);
CREATE TABLE IF NOT EXISTS `crm_task_template_task` (
  `task_id` int(10) NOT NULL,
  `task_template_id` int(10) NOT NULL,
  `tenant_id` int(10) NOT NULL,
  KEY `task_id` (`task_id`)
);

CREATE TABLE IF NOT EXISTS `files_converts` (
  `input` varchar(50) NOT NULL,
  `output` varchar(50) NOT NULL,
  PRIMARY KEY (`input`,`output`)
);
REPLACE INTO `files_converts` VALUES ('.csv', '.html');
REPLACE INTO `files_converts` VALUES ('.csv', '.ods');
REPLACE INTO `files_converts` VALUES ('.csv', '.xls');
REPLACE INTO `files_converts` VALUES ('.csv', '.xlsx');
REPLACE INTO `files_converts` VALUES ('.doc', '.docx');
REPLACE INTO `files_converts` VALUES ('.doc', '.html');
REPLACE INTO `files_converts` VALUES ('.doc', '.mht');
REPLACE INTO `files_converts` VALUES ('.doc', '.odt');
REPLACE INTO `files_converts` VALUES ('.doc', '.pdf');
REPLACE INTO `files_converts` VALUES ('.doc', '.rtf');
REPLACE INTO `files_converts` VALUES ('.doc', '.txt');
REPLACE INTO `files_converts` VALUES ('.docx', '.doc');
REPLACE INTO `files_converts` VALUES ('.docx', '.html');
REPLACE INTO `files_converts` VALUES ('.docx', '.mht');
REPLACE INTO `files_converts` VALUES ('.docx', '.odt');
REPLACE INTO `files_converts` VALUES ('.docx', '.pdf');
REPLACE INTO `files_converts` VALUES ('.docx', '.rtf');
REPLACE INTO `files_converts` VALUES ('.docx', '.txt');
REPLACE INTO `files_converts` VALUES ('.docy', '.docx');
REPLACE INTO `files_converts` VALUES ('.docy', '.html');
REPLACE INTO `files_converts` VALUES ('.docy', '.pdf');
REPLACE INTO `files_converts` VALUES ('.docy', '.txt');
REPLACE INTO `files_converts` VALUES ('.html', '.doc');
REPLACE INTO `files_converts` VALUES ('.html', '.docx');
REPLACE INTO `files_converts` VALUES ('.html', '.mht');
REPLACE INTO `files_converts` VALUES ('.html', '.odt');
REPLACE INTO `files_converts` VALUES ('.html', '.pdf');
REPLACE INTO `files_converts` VALUES ('.html', '.rtf');
REPLACE INTO `files_converts` VALUES ('.html', '.txt');
REPLACE INTO `files_converts` VALUES ('.mht', '.doc');
REPLACE INTO `files_converts` VALUES ('.mht', '.docx');
REPLACE INTO `files_converts` VALUES ('.mht', '.html');
REPLACE INTO `files_converts` VALUES ('.mht', '.odt');
REPLACE INTO `files_converts` VALUES ('.mht', '.pdf');
REPLACE INTO `files_converts` VALUES ('.mht', '.rtf');
REPLACE INTO `files_converts` VALUES ('.mht', '.txt');
REPLACE INTO `files_converts` VALUES ('.odp', '.pdf');
REPLACE INTO `files_converts` VALUES ('.odp', '.pptx');
REPLACE INTO `files_converts` VALUES ('.ods', '.csv');
REPLACE INTO `files_converts` VALUES ('.ods', '.html');
REPLACE INTO `files_converts` VALUES ('.ods', '.xls');
REPLACE INTO `files_converts` VALUES ('.ods', '.xlsx');
REPLACE INTO `files_converts` VALUES ('.odt', '.doc');
REPLACE INTO `files_converts` VALUES ('.odt', '.docx');
REPLACE INTO `files_converts` VALUES ('.odt', '.html');
REPLACE INTO `files_converts` VALUES ('.odt', '.mht');
REPLACE INTO `files_converts` VALUES ('.odt', '.pdf');
REPLACE INTO `files_converts` VALUES ('.odt', '.rtf');
REPLACE INTO `files_converts` VALUES ('.odt', '.txt');
REPLACE INTO `files_converts` VALUES ('.ppt', '.pdf');
REPLACE INTO `files_converts` VALUES ('.ppt', '.pptx');
REPLACE INTO `files_converts` VALUES ('.pptx', '.pdf');
REPLACE INTO `files_converts` VALUES ('.ppty', '.ppty');
REPLACE INTO `files_converts` VALUES ('.rtf', '.doc');
REPLACE INTO `files_converts` VALUES ('.rtf', '.docx');
REPLACE INTO `files_converts` VALUES ('.rtf', '.html');
REPLACE INTO `files_converts` VALUES ('.rtf', '.mht');
REPLACE INTO `files_converts` VALUES ('.rtf', '.odt');
REPLACE INTO `files_converts` VALUES ('.rtf', '.pdf');
REPLACE INTO `files_converts` VALUES ('.rtf', '.txt');
REPLACE INTO `files_converts` VALUES ('.svgy', '.svgy');
REPLACE INTO `files_converts` VALUES ('.txt', '.doc');
REPLACE INTO `files_converts` VALUES ('.txt', '.docx');
REPLACE INTO `files_converts` VALUES ('.txt', '.html');
REPLACE INTO `files_converts` VALUES ('.txt', '.mht');
REPLACE INTO `files_converts` VALUES ('.txt', '.odt');
REPLACE INTO `files_converts` VALUES ('.txt', '.pdf');
REPLACE INTO `files_converts` VALUES ('.txt', '.rtf');
REPLACE INTO `files_converts` VALUES ('.xls', '.csv');
REPLACE INTO `files_converts` VALUES ('.xls', '.html');
REPLACE INTO `files_converts` VALUES ('.xls', '.ods');
REPLACE INTO `files_converts` VALUES ('.xls', '.xlsx');
REPLACE INTO `files_converts` VALUES ('.xlsx', '.csv');
REPLACE INTO `files_converts` VALUES ('.xlsx', '.html');
REPLACE INTO `files_converts` VALUES ('.xlsx', '.ods');
REPLACE INTO `files_converts` VALUES ('.xlsx', '.xls');
alter table files_security add column `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
CREATE TABLE IF NOT EXISTS `files_thirdparty_account` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `provider` varchar(50) NOT NULL DEFAULT '0',
  `customer_title` varchar(400) NOT NULL,
  `user_name` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `token` text,
  `user_id` varchar(38) NOT NULL,
  `folder_type` int(11) NOT NULL DEFAULT '0',
  `create_on` datetime NOT NULL,
  `tenant_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
);

alter table projects_milestones add column `responsible_id` char(38) DEFAULT NULL;
alter table projects_milestones add column `status_changed` datetime NOT NULL DEFAULT '2000-01-01 00:00:00';
alter table projects_projects add column `status_changed` datetime NOT NULL DEFAULT '2000-01-01 00:00:00';
alter table projects_subtasks add column `status_changed` datetime NOT NULL DEFAULT '2000-01-01 00:00:00';
alter table projects_tasks add column `status_changed` datetime NOT NULL DEFAULT '2000-01-01 00:00:00';
alter table projects_tasks_recurrence modify column `cron` varchar(255) DEFAULT NULL;
CREATE TABLE IF NOT EXISTS `projects_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `description` text,
  `create_by` char(38) NOT NULL,
  `last_modified_on` datetime DEFAULT NULL,
  `last_modified_by` char(38) DEFAULT NULL,
  `create_on` datetime DEFAULT NULL,
  `tenant_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tenant_id` (`tenant_id`)
);

alter table tenants_quota add column `name` varchar(128) DEFAULT NULL;
alter table tenants_quota add column `sms_auth` int(10) NOT NULL DEFAULT '0';
alter table tenants_quota add column `branding` int(10) NOT NULL DEFAULT '0';
CREATE TABLE IF NOT EXISTS `tenants_tariffcoupon` (
  `coupon` varchar(128) NOT NULL,
  `tariff` int(11) NOT NULL,
  `tariff_period` int(11) NOT NULL,
  `valid_from` datetime DEFAULT NULL,
  `valid_to` datetime DEFAULT NULL,
  PRIMARY KEY (`coupon`)
);
alter table tenants_tenants add column `version` int(10) NOT NULL DEFAULT '0';
CREATE TABLE IF NOT EXISTS `tenants_version` (
  `id` int(10) NOT NULL,
  `version` varchar(64) NOT NULL,
  `url` varchar(64) NOT NULL,
  `visible` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
);